package net.jimmc.spelsim;

import java.text.MessageFormat;

public class Debug {
    public static String pointToString(double x, double y) {
        double r = Math.sqrt(x*x+y*y);
        double theta = Math.atan2(y,x);
        return "("+numToString(x)+","+numToString(y)+")"+
            polarPointToString(r,theta);
    }

    public static String polarPointToString(double r, double theta) {
        return "<"+numToString(r)+","+numToString(theta)+">";
    }

    public static String numToString(double d) {
    	String fmt = "{0,number,0.########E0}";
	Object[] dd = { new Double(d) };
        return MessageFormat.format(fmt,dd);
    }
}
