/* ChoiceListener.java
 *
 * Jim McBeath, March 14, 2003
 */

package net.jimmc.spelsim;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

class ChoiceListener implements ItemListener {
    public void itemStateChanged(ItemEvent ev) {
	Object obj = ev.getSource();
	if (!(obj instanceof ChoiceField)) {
	    System.out.println("Error, not a ChoiceField");
	    return;
	}
	ChoiceField field = (ChoiceField)obj;
        String s = field.getSelectedItem();
        choiceSelected(s);
    }
    public void choiceSelected(String s){}
}

//end
