/* ISimAdapter.java
 *
 * Jim McBeath, November 17, 2007
 */

package net.jimmc.spelsim;

/** A convenience adapter for ISimListener. */
public abstract class ISimAdapter implements ISimListener {
    /** Called after the simulator has taken a step.
     * @param canvas The drawing canvas.
     * @param didDraw True if we refreshed the screen, false if
     *        we only did a simulation step without a redraw.
     */
    public abstract void simStepped(SpelCanvas canvas, boolean didDraw);
}
