/* ISimListener.java
 *
 * Jim McBeath, October 23, 2007
 */

package net.jimmc.spelsim;

/** Take action after a simulation step. */
public interface ISimListener {
    /** Called after the simulator has taken a step.
     * @param canvas The drawing canvas.
     * @param didDraw True if we refreshed the screen, false if
     *        we only did a simulation step without a redraw.
     */
    public void simStepped(SpelCanvas canvas, boolean didDraw);
}
